Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.util
Class IntersectionIdSet

    java.lang.Object
      |
      +--net.xfra.qizxopen.util.IdSet
            |
            +--net.xfra.qizxopen.util.IntersectionIdSet

public class IntersectionIdSet
extends IdSet

Constructor Summary
`IntersectionIdSet(IdSet set1, IdSet set2)`

Method Summary
`IdSet` | `copy()`
`int` | `getNext(int id)` Iteration mechanism: returns the first id in the set that is >= to argument.
`static int` | `getNext(int id, IdSet set1, IdSet set2)`
`boolean` | `intersects(IdSet that)` returns true if the intersection of the two sets is not empty.
`boolean` | `test(int id)` Identifier containment test.

Methods inherited from class net.xfra.qizxopen.util.IdSet
`isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntersectionIdSet

    public IntersectionIdSet(IdSet set1,
                             IdSet set2)

Method Detail

### test

    public boolean test(int id)

  Description copied from class: `IdSet`
  Identifier containment test.

  Specified by:
    `test` in class `IdSet`

### getNext

    public int getNext(int id)

  Description copied from class: `IdSet`
  Iteration mechanism: returns the first id in the set that is >= to argument.

  Specified by:
    `getNext` in class `IdSet`
  Returns:
    -1 if no next id.

### getNext

    public static int getNext(int id,
                              IdSet set1,
                              IdSet set2)

### copy

    public IdSet copy()

  Specified by:
    `copy` in class `IdSet`

### intersects

    public boolean intersects(IdSet that)

  Description copied from class: `IdSet`
  returns true if the intersection of the two sets is not empty.

  Overrides:
    `intersects` in class `IdSet`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD